function F = sol_lsqnonlin(U)
%variable
global zeta rho theta_o zeta_bar rho_bar theta_c Nsub T delta delta_bar

%time when switches occur
t = [0,Nsub*T];

%transition condition 1
x1 = exp(-zeta_bar*rho_bar*t(1))*U(3)*sin(sqrt(1-zeta_bar^2)*rho_bar*t(1) + U(4))...
    + ((rho/rho_bar)^2)*sin(rho*t(1)-theta_c+U(5))/sqrt((1-(rho/rho_bar)^2)^2+(2*zeta_bar*rho/rho_bar)^2) + delta_bar - delta;
%transition condition 2
x2 = exp(-zeta_bar*rho_bar*U(6))*U(3)*sin(sqrt(1-zeta_bar^2)*rho_bar*U(6) + U(4))...
    + ((rho/rho_bar)^2)*sin(rho*U(6)-theta_c+U(5))/sqrt((1-(rho/rho_bar)^2)^2+(2*zeta_bar*rho/rho_bar)^2) + delta_bar - delta;
%transition condition 3
x3 = exp(-zeta*U(6))*U(1)*sin(sqrt(1-zeta^2)*U(6) + U(2))...
    + rho^2*sin(rho*U(6)-theta_o+U(5))/sqrt((1-rho^2)^2+(2*zeta*rho)^2) - delta;
%transition condition 4
x4 = exp(-zeta*t(2))*U(1)*sin(sqrt(1-zeta^2)*t(2) + U(2))...
    + rho^2*sin(rho*t(2)-theta_o+U(5))/sqrt((1-rho^2)^2+(2*zeta*rho)^2) - delta;
%transition condition 5_sliding term
x5_1 = -zeta_bar*rho_bar*exp(-zeta_bar*rho_bar*U(6))*U(3)*sin(sqrt(1-zeta_bar^2)*rho_bar*U(6) + U(4))...
    + sqrt(1-zeta_bar^2)*rho_bar*U(3)*exp(-zeta_bar*rho_bar*U(6))*cos(sqrt(1-zeta_bar^2)*rho_bar*U(6) + U(4))...
    + rho*(rho/rho_bar)^2*cos(rho*U(6)-theta_c+U(5))/sqrt((1-(rho/rho_bar)^2)^2+(2*zeta_bar*rho/rho_bar)^2);
%transition condition 5_open term
x5_2 = -zeta*U(1)*exp(-zeta*U(6))*sin(sqrt(1-zeta_bar^2)*U(6) + U(2))...
    + sqrt(1-zeta^2)*U(1)*exp(-zeta*U(6))*cos(sqrt(1-zeta^2)*U(6)+U(2))...
    + rho^3*cos(rho*U(6)-theta_o+U(5))/sqrt((1-rho^2)^2+(2*zeta*rho)^2);
%transition condition 6_sliding term
x6_1 = -zeta_bar*rho_bar*exp(-zeta_bar*rho_bar*t(1))*U(3)*sin(sqrt(1-zeta_bar^2)*rho_bar*t(1) + U(4))...
    + sqrt(1-zeta_bar^2)*rho_bar*U(3)*exp(-zeta_bar*rho_bar*t(1))*cos(sqrt(1-zeta_bar^2)*rho_bar*t(1) + U(4))...
    + rho*(rho/rho_bar)^2*cos(rho*t(1)-theta_c+U(5))/sqrt((1-(rho/rho_bar)^2)^2+(2*zeta_bar*rho/rho_bar)^2);
%transition condition 6_open term
x6_2 = -zeta*U(1)*exp(-zeta*t(2))*sin(sqrt(1-zeta_bar^2)*t(2) + U(2))...
    + sqrt(1-zeta^2)*U(1)*exp(-zeta*t(2))*cos(sqrt(1-zeta^2)*t(2)+U(2))...
    + rho^3*cos(rho*t(2)-theta_o+U(5))/sqrt((1-rho^2)^2+(2*zeta*rho)^2);

%solve unknows of transition conditions
F(1,1)=(x1);
F(2,1)=(x2);
F(3,1)=(x3);
F(4,1)=(x4);
F(5,1)=(x5_1-x5_2);
F(6,1)=(x6_1-x6_2);

